Onboard a new person ( DEPRECATED )
curl --request POST \
--url https://api.grailpay.com/3p/api/v1/register/person \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"email": "abc@abc.com",
"phone": null,
"client_reference_id": null,
"billing_merchant_user_uuid": "9c330a70-84de-46c3-a380-70b34799b1d3",
"billing_processor_mid": "34234244333",
"payout_type": "batch",
"address": {
"line_1": "20 Elmora Ave",
"line_2": "",
"city": "Elizabeth",
"state": "NJ",
"zip": "07202"
},
"bank_account": {
"plaid": {
"access_token": "NJ",
"account_id": "07202"
},
"custom": {
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "checking",
"validate_account_routing": true
}
}
}
'import requests
url = "https://api.grailpay.com/3p/api/v1/register/person"
payload = {
"first_name": "John",
"last_name": "Doe",
"email": "abc@abc.com",
"phone": None,
"client_reference_id": None,
"billing_merchant_user_uuid": "9c330a70-84de-46c3-a380-70b34799b1d3",
"billing_processor_mid": "34234244333",
"payout_type": "batch",
"address": {
"line_1": "20 Elmora Ave",
"line_2": "",
"city": "Elizabeth",
"state": "NJ",
"zip": "07202"
},
"bank_account": {
"plaid": {
"access_token": "NJ",
"account_id": "07202"
},
"custom": {
"account_number": "12345678901234",
"routing_number": "056008849",
"account_name": "Jack Jones",
"account_type": "checking",
"validate_account_routing": True
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
first_name: 'John',
last_name: 'Doe',
email: 'abc@abc.com',
phone: null,
client_reference_id: null,
billing_merchant_user_uuid: '9c330a70-84de-46c3-a380-70b34799b1d3',
billing_processor_mid: '34234244333',
payout_type: 'batch',
address: {
line_1: '20 Elmora Ave',
line_2: '',
city: 'Elizabeth',
state: 'NJ',
zip: '07202'
},
bank_account: {
plaid: {access_token: 'NJ', account_id: '07202'},
custom: {
account_number: '12345678901234',
routing_number: '056008849',
account_name: 'Jack Jones',
account_type: 'checking',
validate_account_routing: true
}
}
})
};
fetch('https://api.grailpay.com/3p/api/v1/register/person', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "",
"data": {
"client_reference_id": "",
"uuid": "401c79dd-d38c-4c3a-8edf-1afac5914d2d",
"first_name": "John",
"last_name": "Doe",
"email": "",
"phone": "",
"status": "Approved|On Hold|Rejected",
"payout_type": "individual|batch",
"address": {
"street_address": "20 Elmora Ave",
"additional_address": "",
"city": "Elizabeth",
"state": "NJ",
"country": "US",
"zip": "07202"
},
"created_at": "2024-06-03 15:58:44",
"updated_at": "2024-06-04 18:30:30",
"duplicate_uuids": null,
"valid_account": null
}
}{
"status": false,
"message": "Invalid routing_number: 000000001. This routing number has an invalid check digit.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Invalid Token",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "Access denied. Please use a secure (HTTPS) connection.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The requested billing merchant user uuid does not exist.",
"data": null,
"errors": null,
"error_code": null
}{
"status": false,
"message": "The given data was invalid.",
"data": null,
"errors": {
"first_name": [
"The first name must be a string."
]
},
"error_code": null
}Users
Onboard a new person ( DEPRECATED )
*This Endpoint is deprecated. Deprecated APIs that are no longer supported and should be removed from your integration. Please use the Stable version for your integration.
POST
/
3p
/
api
/
v1
/
register
/
person
Onboard a new person ( DEPRECATED )
Authorizations
Token-based authentication using Authorization: Bearer <YOUR_API_KEY> provided by the GrailPay Support Team.
Body
application/json
Example:
"John"
Example:
"Doe"
Example:
"abc@abc.com"
Example:
null
Example:
null
Example:
"9c330a70-84de-46c3-a380-70b34799b1d3"
Example:
"34234244333"
Example:
"batch"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
